<?php 

// Script By Qassim Hassan, wp-time.com

session_start();

if( isset($_SESSION['user_info']) ){ // check is user is logged in
	$title = "Logged in as ".$_SESSION['user_info']["firstName"]." ".$_SESSION['user_info']["lastName"]; // page title
}

else{
	$title = "Login With LinkedIn"; // page title
}

?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title><?php echo $title; ?></title>
</head>
<body>

<?php

	if( isset($_SESSION['user_info']) ){ // if user is logged in
		$user_info = $_SESSION['user_info'];
		?>
			<h3>Welcome <?php echo $user_info["firstName"]; ?> <?php echo $user_info["lastName"]; ?> !</h3>
			<p><img src="<?php echo $user_info['pictureUrls']['values'][0]; ?>"></p>
			<p>Connections: <?php echo $user_info["numConnections"]; ?></p>
			<p>Your Email: <?php echo $user_info["emailAddress"]; ?></p>
			<p><a href="logout.php">Logout</a></p>
		<?php
	}

	else{ // if user is not logged in
		echo '<a href="login.php">Login With LinkedIn</a>';
	}

?>

<p><a target="_blank" href="http://wp-time.com/login-with-linkedin-using-api-in-php/">Download Script & Usage</a></p>

</body>
</html>